/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { defineComponent as k, h as l, createVNode as e } from "vue";
import { validatePackage as u, templateRendering as s, getListeners as a, getTemplate as o } from "@progress/kendo-vue-common";
import { packageMetadata as w } from "./package-metadata.mjs";
const T = /* @__PURE__ */ k({
  name: "KendoListView",
  emits: {
    scroll: null
  },
  props: {
    dataItems: Array,
    item: [String, Function, Object],
    header: [String, Function, Object],
    footer: [String, Function, Object]
  },
  created() {
    u(w);
  },
  render() {
    const {
      dataItems: t,
      item: r,
      header: n,
      footer: c
    } = this.$props, d = s.call(this, n, a.call(this)), m = s.call(this, c, a.call(this)), h = o.call(this, {
      h: l,
      template: d
    }), p = o.call(this, {
      h: l,
      template: m
    });
    return e("div", {
      class: "k-listview k-listview-bordered k-d-flex"
    }, [n && e("div", {
      class: "k-listview-header"
    }, [h]), e("div", {
      class: "k-listview-content",
      role: "list",
      onScroll: this.onScroll
    }, [r && t.map(function(f, i) {
      const v = s.call(this, r, a.call(this)), g = o.call(this, {
        h: l,
        template: v,
        additionalProps: {
          dataItem: f,
          index: i
        }
      });
      return e("div", {
        class: "k-listview-item",
        role: "listitem",
        tabindex: i === 0 ? 0 : void 0,
        "aria-posinset": i + 1,
        "aria-setsize": t.length
      }, [g]);
    }, this)]), c && e("div", {
      class: "k-listview-footer"
    }, [p])]);
  },
  methods: {
    onScroll(t) {
      this.$emit("scroll", t, this);
    }
  }
});
export {
  T as ListView
};
